const app = getApp();
Component({
    properties: {
		showBack: {
			type: Boolean,
			value: false // 此小程序,多用非自定义的(为了个别页面方便用一下)
		},
		showHeader: {
			type: Boolean,
			value: true
		},
		pageTitle: {
			type: String,
            value: "",
		},
		bgColor: {
			type: String,
            value: "#ffffff",
		}
    },
    data: {
        // 这里是一些组件内部数据
        customCenter: app.globalData.customCenter,
		setBgHeight: app.globalData.setBgHeight
    },
    methods: {
        // 这里是一些自定义方法
        // 回到首页
		gohome(){
			wx.reLaunch({
				url: '/pages/index/index'
			})
		},
		// 返回上一页
        goback() {
			// 页面栈
			// 获取当前页面是否为支付成功页
			// let pages = getCurrentPages();
			// let currentPage = pages[pages.length -1];
			// let url = currentPage.route;
			// console.log('当前地址',url);
			wx.navigateBack({
				delta:1,    // 返回的页面数，如果 delta 大于现有页面数，则返回到首页。
				success: function(res){
					// console.log('返回成功====',res)
				},
				fail: function(res){
					// 页面栈无页面,跳到首页
					if(res.errMsg == 'navigateBack:fail cannot navigate back at first page.'){
						wx.switchTab({
							url: '/pages/index/index'
						})
					}
				}
			});
			// 支付页回退到商品页
			// if(url == 'pages/pay-success/index'){
			// 	wx.reLaunch({
			// 		url: '/pages/goods/index'
			// 	});
			// }else{
			// 	wx.navigateBack({
			// 		delta:1,    // 返回的页面数，如果 delta 大于现有页面数，则返回到首页。
			// 		success: function(res){
			// 			// console.log('返回成功====',res)
			// 		},
			// 		fail: function(res){
			// 			// 页面栈无页面,跳到首页
			// 			if(res.errMsg == 'navigateBack:fail cannot navigate back at first page.'){
			// 				wx.switchTab({
			// 					url: '/pages/index/index'
			// 				})
			// 			}
			// 		}
			// 	});
			// }
		},
    },
});
